# Contributing

All kinds of contributions are welcome!

- Wrong documentation? Technical mistakes happen all the time. Behaviour can
  change between different Vim versions.
- Is there something you didn't understand right away? Was the explanation too
  complicated?
- Any other suggestions for improvement? Better wording? Typos? Dead links?
- Want to add plugins? Please make sure that they have collected a few stars
  already. There are new plugins every day and I can't possibly test them all,
  so I rely on "social proof" as an indicator for usefulness. (If you wrote or
  found a plugin with no or only very few stars but still think it's useful,
  promote it on [r/vim](https://www.reddit.com/r/vim). It has lots of readers
  and is great for gaining attention.)

Please report _anything_ that seems wrong to you by
[creating an issue](https://github.com/mhinz/vim-galore/issues/new) for it.

If you feel like fixing it yourself, open a
[pull request](https://help.github.com/categories/collaborating-with-issues-and-pull-requests).
Don't worry too much about how to format your commit messages, the actual patch
is more important.

Thank you for contributing! 🎉
